List categories
GET
/api/content/management/categories
const url = 'https://example.com/api/content/management/categories';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/content/management/categories \ --header 'Authorization: Bearer <token>'Retrieves root-level categories
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Categories retrieved successfully
Media typeapplication/json
object
count
Total number of categories
number
items
required
Array of categories
Array<object>
object
id
required
Unique category identifier
string
name
required
Category name
string
apiName
API-friendly name (camelCase)
string
apiNameSearch
Searchable API name
string
description
Category description
string
taxonomyId
Parent taxonomy ID
string
parentId
Parent category ID (for nested categories)
string | null
customProperties
Custom properties
Array<object>
object
name
required
Property name
string
value
Property value
Example
{ "items": [ { "id": "CATEGORY_ABC123", "name": "Electronics", "apiName": "electronics" } ]}